/* © 2024 Appstock */

import UIKit

import AppstockSDK
import AppstockGoogleMobileAdsAdapter

import GoogleMobileAds
import AppLovinSDK

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    func application(
        _ application: UIApplication,
        didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
    ) -> Bool {
        
        // ===== INIT: Appstock SDK
        
        Appstock.initializeSDK(with: "appstock-demo")
        
        // ===== INIT: Google Mobile Ads SDK
        
        GADMobileAds.sharedInstance().start()
        AppstockGADMediationAdapterInitializer.start()
        
        // ===== INIT: AppLovin MAX SDK
        
        let config = ALSdkInitializationConfiguration(
            sdkKey: "<SDK_KEY>"
        )
        
        ALSdk.shared().initialize(with: config)
        
        return true
    }

    // MARK: UISceneSession Lifecycle

    func application(
        _ application: UIApplication,
        configurationForConnecting connectingSceneSession: UISceneSession,
        options: UIScene.ConnectionOptions
    ) -> UISceneConfiguration {
        return UISceneConfiguration(
            name: "Default Configuration",
            sessionRole: connectingSceneSession.role
        )
    }
}
