/* © 2024 Appstock */

import UIKit

/**
    Integration case title template - [IntegrationKind] [IntegrationAdFormat]
    [IntegrationKind] - Appstock, AdMob, AppLovin
    [IntegrationAdFormat] - "Banner", "Video", "Banner Interstitial", "Video Interstitial", "Native"
 */

struct IntegrationCaseManager {
    
    static var allCases: [IntegrationCase] = [
        
        IntegrationCase(
            title: "Appstock Banner Ad",
            integrationKind: .sdk,
            adFormat: .banner,
            configurationClosure: {
                AppstockBannerAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "Appstock Video Ad",
            integrationKind: .sdk,
            adFormat: .video,
            configurationClosure: {
                AppstockVideoAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "Appstock Banner Interstitial",
            integrationKind: .sdk,
            adFormat: .bannerInterstitial,
            configurationClosure: {
                AppstockBannerInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "Appstock Video Interstitial",
            integrationKind: .sdk,
            adFormat: .videoInterstitial,
            configurationClosure: {
                AppstockVideoInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "Appstock Native",
            integrationKind: .sdk,
            adFormat: .native,
            configurationClosure: {
                AppstockNativeViewController()
            }
        ),
        
        IntegrationCase(
            title: "AdMob Banner Ad",
            integrationKind: .adMob,
            adFormat: .banner,
            configurationClosure: {
                AdMobBannerAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "AdMob Video Ad",
            integrationKind: .adMob,
            adFormat: .video,
            configurationClosure: {
                AdMobVideoAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "AdMob Banner Interstitial",
            integrationKind: .adMob,
            adFormat: .bannerInterstitial,
            configurationClosure: {
                AdMobBannerInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "AdMob Video Interstitial",
            integrationKind: .adMob,
            adFormat: .videoInterstitial,
            configurationClosure: {
                AdMobVideoInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "AdMob Native",
            integrationKind: .adMob,
            adFormat: .native,
            configurationClosure: {
                AdMobNativeViewController()
            }
        ),
        
        IntegrationCase(
            title: "AppLovin MAX Banner Ad",
            integrationKind: .appLovin,
            adFormat: .banner,
            configurationClosure: {
                AppLovinBannerAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "AppLovin MAX Video Ad",
            integrationKind: .appLovin,
            adFormat: .video,
            configurationClosure: {
                AppLovinVideoAdViewController()
            }
        ),
        
        IntegrationCase(
            title: "AppLovin MAX Banner Interstitial",
            integrationKind: .appLovin,
            adFormat: .bannerInterstitial,
            configurationClosure: {
                AppLovinBannerInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "AppLovin MAX Video Interstitial",
            integrationKind: .appLovin,
            adFormat: .videoInterstitial,
            configurationClosure: {
                AppLovinVideoInterstitialViewController()
            }
        ),
        
        IntegrationCase(
            title: "AppLovin MAX Native",
            integrationKind: .appLovin,
            adFormat: .native,
            configurationClosure: {
                AppLovinNativeViewController()
            }
        ),
    ]
}
